using System;
using System.Web.UI;
using System.Web.UI.WebControls;
using Microsoft.SharePoint;
using Microsoft.SharePoint.WebPartPages;

namespace ReflectionIT.SharePoint.WebParts
{
	/// <summary>
	/// Description of the toolpart. Override the GetToolParts method in your WebPart
	/// class to invoke this toolpart. To establish a reference to the Web Part 
	/// the user has selected, use the ParentToolPane.SelectedWebPart property.
	/// </summary>
	public class CopyrightToolpart: Microsoft.SharePoint.WebPartPages.ToolPart
	{
		/// <summary>
		/// Constructor for the class.
		/// </summary>
		public CopyrightToolpart()
		{
			   this.Title = "Copyright";
		}

		///	<summary>
		///	This method is called by the ToolPane object to apply property changes to the selected Web Part. 
		///	</summary>
		public override void ApplyChanges()
		{
			// Apply property values here.
		}

		/// <summary>
		///	If the ApplyChanges method succeeds, this method is called by the ToolPane object
		///	to refresh the specified property values in the toolpart user interface.
		/// </summary>
		public override void SyncChanges()
		{
			// Sync with the new property changes here.
		}
		
		/// <summary>
		///	This method is called by the ToolPane object if the user discards changes to the selected Web Part. 
		/// </summary>
		public override void CancelChanges()
		{
		}

		/// <summary>
		/// Render this tool part to the output parameter specified.
		/// </summary>
		/// <param name="output">The HTML writer to write out to </param>
		protected override void RenderToolPart(HtmlTextWriter output)
		{
			output.Write("Created by Fons Sonnemans<br>");
			output.Write(" 2004 <a href='http://www.reflectionit.nl' target='_blank'>Reflection IT</a>. All rights reserved.");
		}
	}											
}
								
